import { createClient, makeTemplateTag } from 'gremlin';

export class MyClass {
    constructor(port, server) {
        let client = createClient(port, server);
        this.gremlin = makeTemplateTag(client);
    }

    clean() {
        return this.gremlin`g.V().drop().iterate()`;
    }

    countVertices() {
        return this.gremlin`g.V().count()`;
    }

    createVertex(lbl) {
        return this.gremlin`g.addV('lbl', ${lbl})`;
    }
}
